# Interface RadarState

Current radar state. Contains status and all current control values.

#### Example

    {
      "id": "1",
      "timestamp": "2025-01-15T10:30:00Z",
      "status": "transmit",
      "controls": {
        "power": "transmit",
        "range": 5556,
        "gain": {"mode": "auto", "value": 65}
      }
    }

interface RadarState {
controls: Record<string, unknown>;
id: string;
status: RadarStatus;
timestamp: string;
disabledControls?: { controlId: string; reason: string }[];
}

- Defined in radarapi.ts:249

##### Index

### Properties

controls
id
status
timestamp
disabledControls?

## Properties

### controls

controls: Record<string, unknown>

Current control values keyed by control ID. Value types depend on the control type defined in CapabilityManifest.

- Defined in radarapi.ts:261

### id

id: string

Radar ID

- Defined in radarapi.ts:251

### status

status: RadarStatus

Current operational status

- Defined in radarapi.ts:255

### timestamp

timestamp: string

ISO 8601 timestamp of when state was captured

- Defined in radarapi.ts:253

### `Optional` disabledControls

disabledControls?: { controlId: string; reason: string }[]

Controls that are currently disabled and why

- Defined in radarapi.ts:264